api_index:
    path: /
    defaults: {_controller: OceanExpertBundle:Api:index}
#Experts
api_expert:
    path: /expert/{idExpert}
    defaults: {_controller: OceanExpertBundle:Api/ApiExpert:viewExpert, idExpert: 26939}
api_expert_events:
    path: /expert/eventParticipation/{idExpert}
    defaults: {_controller: OceanExpertBundle:Api/ApiExpert:viewExpertEventsParticipation, idExpert: 26939}

#Events:
api_create_event:
    path: /createEvent
    defaults: {_controller: OceanExpertBundle:Api/ApiEvent:createEvent}
    #requirements:
     #   methods: POST
api_upcoming_events:
    path: /getUpcomingEvents/{idGroup}
    defaults: {_controller: OceanExpertBundle:Api/ApiEvent:getUpcomingEvents, idGroup: 46}
api_event_calender:
    path: /getEventCalendar/{idGroup}
    defaults: {_controller: OceanExpertBundle:Api/ApiEvent:getEventCalendar, idGroup: 46}
api_event:
    path: /event/{idEvent}
    defaults: {_controller: OceanExpertBundle:Api/ApiEvent:getEventDetails, idEvent: 1879}
api_viewEventRecord:
    path: /event/viewEventRecord/{idEvent}
    defaults: {_controller: OceanExpertBundle:Api/ApiEvent:viewEventRecord, idEvent: 1879}
api_viewEventAgenda:
    path: /event/viewEventAgenda/{idEvent}
    defaults: {_controller: OceanExpertBundle:Api/ApiEvent:viewEventAgenda, idEvent: 1879}
api_viewEventDocs:
    path: /event/viewEventDocs/{idEvent}
    defaults: {_controller: OceanExpertBundle:Api/ApiEvent:viewEventDocs, idEvent: 1879}
api_eventOverview:
    path: /event/eventOverview/{idEvent}
    defaults: {_controller: OceanExpertBundle:Api/ApiEvent:eventOverview, idEvent: 1879}
api_viewEventParticipants:
    path: /event/viewEventParticipants/{idEvent}
    defaults: {_controller: OceanExpertBundle:Api/ApiEvent:viewEventParticipants, idEvent: 1879}
api_update_event_participants:
    path: /event/updateEventParticipants/{idEvent}
    #controller: OceanExpertBundle:Api/ApiEvent::updateEventParticipants
    methods:    POST
    defaults: { _controller: OceanExpertBundle:Api/ApiEvent:updateEventParticipants, idEvent: '0'}

#groups
api_group:
    path: /group/{idGroup}
    defaults: {_controller: OceanExpertBundle:Api/ApiGroup:viewGroup, idGroup: 31}
api_group_tree:
    path: /grouptree/{idGroup}
    defaults: {_controller: OceanExpertBundle:Api/ApiGroup:viewGroupslist, idGroup: 31}


#Search
api_advanced_search:
    path: /advancedSearch/{search}
    defaults: {_controller: OceanExpertBundle:Api/ApiSearch:advancedSearch, search: 0}
#leave this incorrectly spelled entry for legacy reasons
#old sites, OBIS and publications seem to link to this instead of the correct advanceDsearch
api_advance_search:
    path: /advanceSearch/{search}
    defaults: { _controller: OceanExpertBundle:Api/ApiSearch:advancedSearch, search: 0 }

api_get_countries:
    path: /getCountryList/{list}
    defaults: {_controller: OceanExpertBundle:Api/ApiSearch:getCountryList, list: 0}

#reports
api_country_report:
    path: /countryReports/{idGroup}
    defaults: {_controller: OceanExpertBundle:Api/ApiReports:countryReports, idGroup: 46}
api_reports_country_report:
    path: /reports/countryReports/{idGroup}
    defaults: {_controller: OceanExpertBundle:Api/ApiReports:countryReports, idGroup: 46}
#api_country_participation:
    #path: /countryParticipation/{idCountry}
    #defaults: {_controller: OceanExpertBundle:Api/ApiReports:eventParticipation, idCountry: 1}
#api_reports_country_participation:
    #path: /reports/countryParticipation/{idCountry}
    #defaults: { _controller: OceanExpertBundle:Api/ApiReports:eventParticipation, idCountry: 1 }
api_eventParticipants:
    path: /eventParticipants/{idGroup}
    defaults: {_controller: OceanExpertBundle:Api/ApiReports:eventParticipant, idGroup: 46}
api_reports_eventParticipants:
    path: /reports/eventParticipants/{idGroup}
    defaults: {_controller: OceanExpertBundle:Api/ApiReports:eventParticipant, idGroup: 46}

#institutions
#do not use this, use api_institute
#@todo remove
api_institution:
    path: /institution/{instId}
    defaults: {_controller: OceanExpertBundle:Api/ApiInstitution:viewInstitution, instId: 10171}
api_institute:
    path: /institute/{instId}
    defaults: {_controller: OceanExpertBundle:Api/ApiInstitution:viewInstitution, instId: 10171}
api_institutes:
    path: /institutes
    defaults: {_controller: OceanExpertBundle:Api/ApiInstitution:getInstitutes}

#shortcuts
api_shortcuts:
    path: /shortcut/{searchString}
    defaults: { _controller: OceanExpertBundle:Api/ApiShortcut:searchShortcut, searchString: 'impossibleSearchString' }

#Documents
api_viewDocumentRecord:
    path: /document/viewDocumentRecord/{idDocument}
    defaults: {_controller: OceanExpertBundle:Api/ApiDocument:viewDocumentRecord, idDocument: 19058}
api_viewDocFilesPopup:
    path: /document/viewDocFilesPopup/{idDocument}
    defaults: {_controller: OceanExpertBundle:Api/ApiDocument:viewDocFilesPopup, idDocument: 19058}
api_downloadDocument:
    path: /document/downloadDocument/{idFile}
    defaults: {_controller: OceanExpertBundle:Api/ApiDocument:downloadDocument, idFile: 19058}
api_viewDoclistRecord:
    path: /document/viewDoclistRecord/{idDoclist}
    defaults: {_controller: OceanExpertBundle:Api/ApiDocument:viewDoclistRecord, idDoclist: 19058}
api_viewAllDoclists:
    path: /document/doclists/{idGroup}
    defaults: {_controller: OceanExpertBundle:Api/ApiDocument:doclists, idGroup: 46}
api_doclistSearch:
    path: /document/doclistSearch
    defaults: {_controller: OceanExpertBundle:Api/ApiDocument:viewDoclistRecord}
